Highlighted
Expert
Expert

Having issues getting vVOLs to work with 3PAR

Have a 3par 7200 running fw: 3.2.1.200

I have connected vCenter 6 on a HP BL460 G9 running vSphere to the 3PARs VASA url.  However I cannot get the PE to be visible to the ESXi host.  I run the following command:

esxcli storage core device list -–pe-only

And no PEs show up.

In Log Insight I am seeing these warnings:

WARNING: ScsiPath: 679: Sanity check failed for path vmhba34:C0:T1:L256. The path to a VVol PE comes from adapter vmhba34 which is not PE capable. Path dropped.

The G9 blade is using the 536FLB CNA.

Any help would be appreciated.

Thanks,

-MattG

-MattG If you find this information useful, please award points for "correct" or "helpful".
0 Kudos
30 Replies
Highlighted
Enthusiast
Enthusiast

I have same issue on BL685 G7
3par controller version is 3.2.1 P12

I think it's a hp bug because protocol endpoint must be shown to the host before vasa integration.

------------------------------------------------------------------ http://burakvardar.wordpress.com
0 Kudos
Highlighted
Immortal
Immortal

Hi Matt,

I'll see if I can help you, have you tried looking over the implementation steps listed in this guide:

http://h20195.www2.hp.com/v2/GetPDF.aspx/4AA5-6907ENW.pdf

The firmware you are running does support VVOLs but you might install patch 12 which does address some vMotion issues with snapshots.

To verify that the 3PAR PE is running you can use the showvasa command on the 3PAR console, you can also use startvasa to start it if it is not running.

showvasa.PNG

I'll see if I can find out anything about that error.

Eric

0 Kudos
Highlighted
Immortal
Immortal

Also are you using the HP image for ESXi, we did post a driver that is required for VVOL support on HP servers, not sure if this is included in the HP image.

https://my.vmware.com/group/vmware/details?downloadGroup=DT-ESXI60-QLOGIC-QLNATIVEFC-21101-1&product...

0 Kudos
Highlighted
Immortal
Immortal

Just confirmed it with our development team:

The Qlogic driver supporting vVol is NOT in the HP Image for ESXi 6.0. In other words, the Qlogic driver in the HP Image for ESXi 6.0 doesn’t enable vVol. The message you got is expected. Customers need to download the driver on www.vmware.com listed below:

 

  • The Qlogic IOVP driver supporting vVol on HP Servers posted on 3/12:

https://my.vmware.com/group/vmware/details?downloadGroup=DT-ESXI60-QLOGIC-QLNATIVEFC-21101-1&productId=491

0 Kudos
Highlighted
Expert
Expert

Eric,

VASA 2.0 is connected from vCenter 6 to 3PAR, showing 3PAR FW: 3.2.1.200.

As for the drivers,  the Bl460G9's were built using HP branded ESXi 6.0.  Update Manager has been configured to use HP depot and it is not showing any new HP patches.

We are using 536FLB's which I do not think are Qlogic or Emulex?    Is there a list of CNAs that support vVOLs?

Thanks,

-MattG

-MattG If you find this information useful, please award points for "correct" or "helpful".
0 Kudos
Highlighted
Expert
Expert

Just looking through Product Bulletin again.  It appears that the 536FLB is Qlogic for FC.   Would the patch not be updated in HP Depot?  I will check.

-MattG

-MattG If you find this information useful, please award points for "correct" or "helpful".
0 Kudos
Highlighted
Expert
Expert

Updated one of the blades to suggested driver. Rebooted twice.   Still can't see vVOL PE:

  • esxcli storage core device list --pe-only

Comes up empty.

-Matt

-MattG If you find this information useful, please award points for "correct" or "helpful".
0 Kudos
Highlighted
Immortal
Immortal

OK, dug around some more and here's the deal, the drivers you need on the server-side for some model CNAs in HP servers to support VVOLs with vSphere 6 have not yet been included in the HP images that are available for vSphere 6. However they are included in the stock ESXi image that you can download direct from VMware. So if you use the VMware ESXi image instead you should be able to use VVOLs with 3PAR without any problems.

0 Kudos
Highlighted
Contributor
Contributor

Matt,

I ran across this same problem the other day.  Running code 3.2.1.200.  Can you confirm what licenses your array has?  Specifically does the array have a Virtual Copy License? 

Thanks,

Brian

0 Kudos
Highlighted
Immortal
Immortal

While we require Virtual Copy to be licensed for VVOLs on 3PAR due to the VM snapshots shifting from vSphere to the storage array, I don't believe this has an impact the ability to see the PE on the 3PAR array. As long as you are using the 3PAR OS firmware that supports VVOLs and have selected the appropriate host persona so the VASA Provider service on the array will load you should be able to see the PE regardless of if you have Virtual Copy licensed or not. I'll double check with the product team but I believe the only impact of not having Virtual Copy licensed will be an error if you attempt to initiate a VM snapshot.

0 Kudos
Highlighted
Expert
Expert

Eric,

I just tried to install the BL460 G9 with the stock ESXi 6 image and it stops because it can't detect the network (due to not having the HP drivers).  When I use the HP branded ESXi 6 image it allows me to install.

Still no vVOLs.

-MattG

-MattG If you find this information useful, please award points for "correct" or "helpful".
0 Kudos
Highlighted
Contributor
Contributor

we are having the same problem with hp 3par 7400 and cisco ucs c240 m3/m4 servers with the 1225/1227 vics.

using the vmware esxi6 iso and everything else works fine (regular luns via FC) but we are unable to see the protocol endpoint on any of the hosts.

0 Kudos
Highlighted
Enthusiast
Enthusiast

Hi,

Did you manage to solve this?

Having exactly the same issue...

//Johan

0 Kudos
Highlighted
Contributor
Contributor

Any progress with this? I have the exact same problem. HP BL460c G9 with 536FLB. No adapter available for PE.

0 Kudos
Highlighted
Enthusiast
Enthusiast

Matt, what version of the HBA driver are you using?

See this to figure it out: http://kb.vmware.com/selfservice/microsites/search.do?language=en_US&cmd=displayKC&externalId=102720...

I believe this is the latest 536FLB driver: https://my.vmware.com/group/vmware/details?downloadGroup=DT-ESXI55-BROADCOM-BNX2X-271070V557&product...

You will need it, not the Qlogic driver, unless you see qlnativefc in the list of drivers per the KB linked above. Updating drivers for my HBA in a DL980 resolved the issue, you just need the right driver and reboot.

0 Kudos
Highlighted
Expert
Expert

I have been tied up on other projects and need to revisit this.    I will respond to this thread when I get a chance to look at it again.

-MattG

-MattG If you find this information useful, please award points for "correct" or "helpful".
0 Kudos
Highlighted
Enthusiast
Enthusiast

FLB 536 isnt supported.

Confirmed by HP.

Cheers

Johan

0 Kudos
Highlighted
Hot Shot
Hot Shot

Is this shown in a support matrix somewhere ? or did support tell you directly ?

Interested as we have a new HP build in process and want to be sure components are compatible.

Thanks


0 Kudos
Highlighted
Contributor
Contributor

Support told me directly and show in a support matrix. But 536FLB will be supported only a matter of time.

Supported cards are :

2015-06-09_09-04-03.png

0 Kudos